Upgraded packages to latest upstream

Upgraded sys-apps/diffutils to v3.10

BUG=b/284099241
TEST=presubmit
RELEASE_NOTE=Upgraded sys-apps/diffutils to v3.10.

Change-Id: I9a2f4e1d7e3a0bfbb6864746319c7fb1dab1d703
Reviewed-on: https://cos-review.googlesource.com/c/third_party/overlays/portage-stable/+/49751
Reviewed-by: He Gao <hegao@google.com>
Tested-by: Cusky Presubmit Bot <presubmit@cos-infra-prod.iam.gserviceaccount.com>
diff --git a/sys-apps/diffutils/Manifest b/sys-apps/diffutils/Manifest
index eda49ea..ac73eb7 100644
--- a/sys-apps/diffutils/Manifest
+++ b/sys-apps/diffutils/Manifest
@@ -1,3 +1,5 @@
+DIST diffutils-3.10.tar.xz 1624240 BLAKE2B 24a90162b3d876e6378243f19a85a1f1bb4cdfe98d130dee684740a902f2987509d5830dd32df4e26678b468b96960f6f9785ffb922e828cb8b4acce0d8587f6 SHA512 219d2c815a120690c6589846271e43aee5c96c61a7ee4abbef97dfcdb3d6416652ed494b417de0ab6688c4322540d48be63b5e617beb6d20530b5d55d723ccbb
+DIST diffutils-3.10.tar.xz.sig 833 BLAKE2B 06650838d6a3327fda6b2ab09693170ec18b730b1f5981c8f3e2180b2c8a553307ae93199e4be0532a534a8a3f95e4a7b4fccbbd9e5f8d1b1cedd0816b0aac90 SHA512 91aa1fcfca224454e292540ea7813f4a0eb348f06a4374017326d524949775359fc833de597cc201c97f357eb6c675800828a6e3332572376f3554f1f2e1aca1
 DIST diffutils-3.8.tar.xz 1585120 BLAKE2B 573abbfba55c62ba30d2084ca68860e9681cfe92648407f7fb04e1aaed2e4719e2fb5a29cf25bd125d762f4dfd52f85ee91f2ec19b099365bada7fe27a0394af SHA512 279441270987e70d5ecfaf84b6285a4866929c43ec877e50f154a788858d548a8a316f2fc26ad62f7348c8d289cb29a09d06dfadce1806e3d8b4ea88c8b1aa7c
 DIST diffutils-3.8.tar.xz.sig 833 BLAKE2B 439d331d9839d8b434b7192c52628bc9e8e1c11cada28170f85c9390abc3e5e9ea86aee696a4f9260552133053194680ff54b960ed539fabec85fdff54dee3a2 SHA512 0464ac89209411993800666b45ff90243d22fbda53bf1d71c6870d565b39cc8d9c54c141b9d297a181ce74ad8fb5313953f416bced179ff7728a52a3e9a4f5a5
 DIST diffutils-3.9.tar.xz 1587916 BLAKE2B d43ed9f1643ac46b69083755974fc9611ad00c3b98b08332c681223d17d762567562233b51342a16f7dad8f28dfc5536999143594e33a64e6624001a71787c8f SHA512 d43280cb1cb2615a8867d971467eb9a3fa037fe9a411028068036f733dab42b10d42767093cea4de71e62b2659a3ec73bd7d1a8f251befd49587e32802682d0f
diff --git a/sys-apps/diffutils/diffutils-3.9-r1.ebuild b/sys-apps/diffutils/diffutils-3.10.ebuild
similarity index 85%
rename from sys-apps/diffutils/diffutils-3.9-r1.ebuild
rename to sys-apps/diffutils/diffutils-3.10.ebuild
index f3f7df6..44aeba7 100644
--- a/sys-apps/diffutils/diffutils-3.9-r1.ebuild
+++ b/sys-apps/diffutils/diffutils-3.10.ebuild
@@ -4,7 +4,7 @@
 EAPI=7
 
 VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/diffutils.asc
-inherit flag-o-matic verify-sig
+inherit verify-sig
 
 DESCRIPTION="Tools to make diffs and compare files"
 HOMEPAGE="https://www.gnu.org/software/diffutils/"
@@ -12,7 +12,7 @@
 if [[ ${PV} == *_p* ]] ; then
 	# Subscribe to the 'platform-testers' ML to find these.
 	# Useful to test on our especially more niche arches and report issues upstream.
-	MY_COMMIT="43-2d50"
+	MY_COMMIT="17-cc36"
 	MY_P=${PN}-$(ver_cut 1-2).${MY_COMMIT}
 	SRC_URI="https://meyering.net/diff/${MY_P}.tar.xz"
 	SRC_URI+=" verify-sig? ( https://meyering.net/diff/${MY_P}.tar.xz.sig )"
@@ -25,28 +25,21 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-IUSE="nls static"
+IUSE="nls"
 
 BDEPEND="
 	nls? ( sys-devel/gettext )
 	verify-sig? ( sec-keys/openpgp-keys-diffutils )
 "
 
-PATCHES=(
-	"${FILESDIR}"/${P}-make-4.4-test-color.patch
-	"${FILESDIR}"/${P}-diff-D-option-regression.patch
-)
-
 src_prepare() {
 	default
 
 	# Needed because of ${P}-diff-D-option-regression.patch
-	touch man/diff.1 || die
+	#touch man/diff.1 || die
 }
 
 src_configure() {
-	use static && append-ldflags -static
-
 	# Disable automagic dependency over libsigsegv; see bug #312351.
 	export ac_cv_libsigsegv=no